# stappabot

## Run on minikube

Running in minikube doesn't really work right now, but you can still try if the docker container builds and deploys successfully.

Make sure the `bots` namespace exists!

### Requirements

- [Skaffold](https://skaffold.dev/docs/install/)

Create a file in `kubernetes/overlays/development` called `envfile` with these values:

```sh
STAPPA_TOKEN=telegram-bot-token
STAPPA_WEBHOOK=https://telegram.webhook/endpoint
STAPPA_PATH=endpoint
```

Run `skaffold dev`

## Run locally

Install stappabot

```sh
go get git.fromouter.space/Hamcha/stappabot
```

Set these env vars:

```sh
STAPPA_TOKEN=telegram-bot-token
STAPPA_BIND=:5749
STAPPA_WEBHOOK=https://telegram.webhook/endpoint
STAPPA_PATH=endpoint
STAPPA_MAXREQUEST=5
```

Run:

```sh
stappabot
```
